Security Bulletin: GSKit SSL/TLS handshake vulnerability in Tivoli Directory Server (CVE-2012-2190)

Flash (Alert)


Abstract

A vulnerability has been identified in the GSKit 7 component utilized by Tivoli Directory Server (TDS) version 6.0, 6.1 or 6.2. A specifically crafted malformed SSL/TLS data packet can cause a TDS server using GSKit 7 to segmentation fault.. Remediation for the issue consists of updating GSKit 7 to version 7.0.4.40 or higher.

Content

VULNERABILITY DETAILS

CVE ID: CVE-2012-2190

DESCRIPTION:
When a client attempts to establish an SSL/TLS connection, the client and server negotiate what type of cypher suite to use and whether to trust each other. This negotiation is called the "handshake". TDS 6.0, 6.1 and 6.2 use GSKit 7 for SSL/TLS connections. GSKit 7 is vulnerable to an attack from a specifically crafted malformed SSL/TLS data packet during the handshake. An attacker would need to send a malformed data packet to the server during the SSL/TLS handshake negotiation. Were an attacker able to do so, they could cause the TDS server process to crash. The attack does not require local network access nor does it require authentication, but some degree of specialized knowledge and techniques are required. An exploit would not impact the confidentiality of information or the integrity of data, however accessibility of the system could be compromised.

CVSS Base Score: 5
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/75994 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (AV:N/AC:L/Au:N/C:N/I:N/A:P)

AFFECTED PLATFORMS
Tivoli Directory Server version 6.2 or earlier for 64-bit platforms excluding Windows and Solaris-SPARC. The following TDS platforms are vulnerable if they are not updated to use GSKit 7.0.4.40 or later.

Platform
Bits
Vulnerable
TDS versions
AIX
64
Yes
6.0.0*-ITDS-AIX-*
6.1.0*-ITDS-AIX-*
6.2.0*-ITDS-AIX-*
HP-UX (IA64)
64
Yes
6.0.0*-ITDS-HPUXIA64-*
6.1.0*-ITDS-HPUXIA64-*
6.2.0*-ITDS-HPUXIA64-*
HP-UX (PA-RISC)
64
Yes
6.1.0*-ITDS-HPUXPARISC-*
Linux (x86-64)
64
Yes
6.1.0*-ITDS-LinuxX64-*
6.2.0*-ITDS-LinuxX64-*
Linux i/p
64
Yes
6.1.0*-ITDS-Linuxip-*
6.2.0*-ITDS-Linuxip-*
Linux s390
64
Yes
6.1.0*-ITDS-Linuxz-*
6.2.0*-ITDS-Linuxz-*
Solaris (x86-64)
64
Yes
6.0.0*-ITDS-SolarisX64-*
6.1.0*-ITDS-SolarisX64-*
6.2.0*-ITDS-SolarisX64-*

The following TDS platforms are NOT vulnerable:

Platform
Bits
Vulnerable
TDS versions
HP-UX (PA-RISC)
32
No
6.0.0*-ITDS-HPUXPARISC-*
Linux (IA32)
32
No
6.0.0*-ITDS-Linux32-*
6.1.0*-ITDS-Linux32-*
6.2.0*-ITDS-Linux32-*
Linux i/p
32
No
6.0.0*-ITDS-Linuxip32-*
Linux s390
31
No
6.0.0*-ITDS-Linuxz31-*
Solaris (SPARC)
32
No
6.0.0*-ITDS-SolarisSparc-*
Solaris (SPARC)
64
No
6.1.0*-ITDS-SolarisSparc-*
6.2.0*-ITDS-SolarisSparc-*
Windows (IA32)
32
No
6.0.0*-ITDS-Win32-*
6.1.0*-ITDS-Win32-*
6.2.0*-ITDS-Win32-*
Windows (x86-64)
64
No
6.1.0*-ITDS-WinX64-*
6.2.0*-ITDS-WinX64-*

REMEDIATION:
Tivoli Directory Server versions 6.0, 6.1 or 6.2 using GSKit 7 should update GSKit to version 7.0.4.40 or later. The following document explains how to obtain and install updates to GSKit 7 for Tivoli Directory Server:
GSKit V7 - Install, Uninstall and Upgrade instructions for Tivoli Directory Server

WORKAROUND(S):
The problem can be protected against by setting the following environment variables in the parent shell before starting Tivoli Directory Server:
    GSK_V3_SIDCACHE_SIZE=0
    GSK_V2_SIDCACHE_SIZE=0

MITIGATION(S):
See "Workaround(s)"

REFERENCES:
· Complete CVSS Guide
· CVSS on-line Calculator V2
· X-Force Database
· CVE-2012-2190

RELATED INFORMATION:
· IBM Product Security Incident Response Program
· IBM Tivoli Directory Server Support

Date of Creation/Update Summary of Changes
2012/10/04 created

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Flash.


Note: According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.


Historical Number

XX04507

Product Alias/Synonym

LDAP TDS ITDS IDS GSKit

Rate this page:

(0 users)Average rating

Document information


More support for:

IBM Security Directory Server
General

Software version:

6.0, 6.1, 6.2

Operating system(s):

AIX, HP Itanium, HP-UX, Linux pSeries, Linux xSeries, Linux zSeries, Solaris Opteron

Software edition:

All Editions

Reference #:

1609030

Modified date:

2012-10-05

Translate my page

Machine Translation

Content navigation